package com.eneraptor.hci

class EneGraph { 

	String name
	String type
	String timeFrameType
	Date timeFrameStart
	Date timeFrameEnd
	int innerSections
	int advHoursTimeFrameStart
	int advHoursTimeFrameEnd
	int advDayTimeFrameStart
	int advDayTimeFrameEnd
	int advMonthTimeFrameStart
	int advMonthTimeFrameEnd
	String deviceId
	
	static belongsTo = [hwSet: HardwareSet]
	
    static constraints = {
		
		name(blank:false, unique:'hwSet')
		type(blank:false, inList:["max","min","avg","sum"])
		timeFrameType(blank:false, inList:["day","month","year","custom"])
		timeFrameStart(blank:false)
		timeFrameEnd(blank:false)
		innerSections(blank:false,min:(int)1)
		advHoursTimeFrameStart(nullable:true)
		advHoursTimeFrameEnd(nullable:true)
		advDayTimeFrameStart(nullable:true)
		advDayTimeFrameEnd(nullable:true)
		advMonthTimeFrameStart(nullable:true)
		advMonthTimeFrameEnd(nullable:true)
		deviceId(blank:false)
		
    }
	
}
